libmagic1-5.19-10.2.mga5.i586.rpm


Advertisement

Description

libmagic1 - Shared library for handling magic files

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates i586
Package filename libmagic1-5.19-10.2.mga5.i586.rpm
Package name libmagic1
Package version 5.19
Package release 10.2.mga5
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.darwinsys.com/file/
License BSD
Maintainer -
Download size 65.56 KB
Installed size 141.01 KB
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.
Libmagic is a library for handling the so called magic files the 'file'
command is based on.

Alternatives

Package Version Architecture Repository
libmagic1-5.19-10.1.mga5.i586.rpm 5.19 i586 Mageia Core Updates
libmagic1-5.19-10.mga5.i586.rpm 5.19 i586 Mageia Core
libmagic1 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libc.so.6(GLIBC_2.8) -
libz.so.1 -

Provides

Name Value
libmagic.so.1 -
libmagic1 == 5.19-10.2.mga5
libmagic1(x86-32) == 5.19-10.2.mga5

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libmagic1-5.19-10.2.mga5.i586.rpm
Source Package file-5.19-10.2.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libmagic1 rpm package:
    # urpmi libmagic1

Files

Path
/usr/lib/libmagic.so.1
/usr/lib/libmagic.so.1.0.0

Changelog

2018-06-19 - ns80 <ns80> 5.19-10.2.mga5
(not released yet)
+ Revision: 1238044
- add upstream patch for CVE-2018-10360 (mga#23183)
+ luigiwalser <luigiwalser>
- add upstream patch to fix memory corruption issue

See Also

Package Description
libmagick++-6Q16_5-6.8.9.9-4.1.mga5.i586.rpm ImageMagick libraries
libmagick++-6Q16_5-6.8.9.9-4.2.mga5.i586.rpm ImageMagick libraries
libmagick++-6Q16_6-6.9.4.2-0.1.mga5.i586.rpm ImageMagick libraries
libmagick++-6Q16_6-6.9.5.2-1.mga5.i586.rpm ImageMagick libraries
libmagick-6Q16_2-6.8.9.9-4.1.mga5.i586.rpm ImageMagick libraries
libmagick-6Q16_2-6.8.9.9-4.2.mga5.i586.rpm ImageMagick libraries
libmagick-6Q16_2-6.9.4.2-0.1.mga5.i586.rpm ImageMagick libraries
libmagick-6Q16_2-6.9.5.2-1.mga5.i586.rpm ImageMagick libraries
libmagick-devel-6.8.9.9-4.1.mga5.i586.rpm Static libraries and header files for ImageMagick app development
libmagick-devel-6.8.9.9-4.2.mga5.i586.rpm Static libraries and header files for ImageMagick app development
libmagick-devel-6.9.4.2-0.1.mga5.i586.rpm Static libraries and header files for ImageMagick app development
libmagick-devel-6.9.5.2-1.mga5.i586.rpm Static libraries and header files for ImageMagick app development
libmailcommon4-4.14.10-1.3.mga5.i586.rpm KDEPIM 4 library
libmaildir4-4.14.10-1.mga5.i586.rpm KDEPIM 4 library
libmaildir4-4.14.10-2.1.mga5.i586.rpm KDEPIM 4 library
Advertisement
Advertisement